Name: liblivebox-cpp
Summary: C++ adaptor for a livebox 
Version: 0.2.2
Release: 1
Group: main/app
License: Flora License
Source0: %{name}-%{version}.tar.gz
BuildRequires: cmake, gettext-tools
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(livebox)
BuildRequires: pkgconfig(livebox-service)

%description
Livebox development library (C++)

%package devel
Summary: Files for livebox development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Livebox development library (C++) (dev)

%prep
%setup -q

%build
cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install
mkdir -p %{buildroot}/usr/share/license

%post

%files -n liblivebox-cpp
%manifest liblivebox-cpp.manifest
%defattr(-,root,root,-)
/usr/lib/*.so*
/usr/share/license/*

%files devel
%defattr(-,root,root,-)
/usr/include/livebox-cpp/livebox-cpp.h
/usr/share/doc/livebox-cpp/livebox-cpp_PG.h
/usr/lib/pkgconfig/*.pc
